Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.jsp.ast
Class JJTJspParserState

    java.lang.Object
      net.sourceforge.pmd.jsp.ast.JJTJspParserState

class JJTJspParserState
extends java.lang.Object

Constructor Summary
`(package private)` | `JJTJspParserState()`

Method Summary
`(package private) void` | `clearNodeScope(Node n)`
`(package private) void` | `closeNodeScope(Node n, boolean condition)`
`(package private) void` | `closeNodeScope(Node n, int num)`
`(package private) int` | `nodeArity()`
`(package private) boolean` | `nodeCreated()`
`(package private) void` | `openNodeScope(Node n)`
`(package private) Node` | `peekNode()`
`(package private) Node` | `popNode()`
`(package private) void` | `pushNode(Node n)`
`(package private) void` | `reset()`
`(package private) Node` | `rootNode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JJTJspParserState

    JJTJspParserState()

Method Detail

### nodeCreated

    boolean nodeCreated()

### reset

    void reset()

### rootNode

    Node rootNode()

### pushNode

    void pushNode(Node n)

### popNode

    Node popNode()

### peekNode

    Node peekNode()

### nodeArity

    int nodeArity()

### clearNodeScope

    void clearNodeScope(Node n)

### openNodeScope

    void openNodeScope(Node n)

### closeNodeScope

    void closeNodeScope(Node n,
                        int num)

### closeNodeScope

    void closeNodeScope(Node n,
                        boolean condition)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.